//Revisions number
#define SWHIGH  0
#define SWLOW   6
// mt
#define SWLOWLOW 5

// main.h

void Initialization(void);
unsigned char StateMachine(char state, unsigned char stimuli);
char BootFunc(char input);
char PowerSaveFunc(char input);
char AutoPower(char input);
char KeyClick(char input);
void Delay(unsigned int millisec);
char Revision(char input);
void OSCCAL_calibration(void);

extern int gLEDtimer;

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)
#define NULL    0

#define AUTO    3

// Macro definitions
//mtA - 
// sbi and cbi will not be supported by future avr-libc
// version - changed to sbiBF/cbiBF "everywhere"
#define sbiBF(port,bit)  (port |= (1<<bit))   //set bit in port
#define cbiBF(port,bit)  (port &= ~(1<<bit))  //clear bit in port
//mtE

// Menu state machine states
#define ST_DEFAULT				00
#define ST_AUTO					10
#define ST_MAN					20
#define ST_SET					30
#define ST_OPTION				40

#define ST_AUTO_START			11
#define ST_AUTO_RUN_SHOOT		12
#define ST_AUTO_RUN_WAIT		13

#define ST_MAN_START			21
#define ST_MAN_STOP				22

#define ST_SHOOT_TIME			31
#define ST_WAIT_TIME			32
#define ST_SHOOT_TIME_SET_SEC	33
#define ST_SHOOT_TIME_SET_MIN	34
#define ST_WAIT_TIME_SET_SEC	35
#define ST_WAIT_TIME_SET_MIN	36
#define ST_SHOOT_COUNT			37
#define ST_SHOOT_COUNT_SET		38

#define ST_OPTION_BUZZER		41
#define ST_OPTION_BUZZER_SET	42
#define ST_OPTION_CLICK			43
#define ST_OPTION_CLICK_SET		44
#define ST_OPTION_LED			45
#define ST_OPTION_LED_SET		46
#define ST_OPTION_TEMP			47
#define ST_OPTION_TEMP_SHOW		48

#define ST_DRI                  50
#define ST_DRI_START            51
#define ST_DRI_RUN              53
#define ST_DRI_WAIT             54
#define ST_DRI_COUNT            55
#define ST_DRI_COUNT_SET        56

#define LED_STATE_OFF			0
#define LED_STATE_ON			1
#define LED_STATE_LIGHT			2
#define LED_STATE_AUTO			3

//Button definitions

#define KEY_NULL    0
#define KEY_ENTER   1
#define KEY_NEXT    2
#define KEY_PREV    3
#define KEY_PLUS    4
#define KEY_MINUS   5
